Bug 577853 - (jon24-search) Improve resource/group search capability
Improve resource/group search capability
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On: RHQ-1516 RHQ-2011 RHQ-2034 556960 563960 567297 573819 584149 584179 597303 599515 600106 601354 612612 614087 614090 617336
Blocks: jon24-features
  Show dependency treegraph
 
Reported: 2010-03-29 09:17 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-03-29 09:17:25 EDT
Support an improved search syntax for querying resources and groups
-should support the same simple syntax (name search) that we had earlier
-support as much autocompletion as the richfaces widgets will allow

Design wiki
http://www.rhq-project.org/display/RHQ/Design-DynaSearch
Comment 2 Joseph Marques 2010-05-21 11:24:09 EDT
commit dc9a55520695f9ef7ae77c7b2a3abe9c4b31910

add first cut of GWT-based search bar functionality:
    
search bar features
* caret position-aware auto-completion
* suggestion highlighting
    
back-end improvements
* parameterized contexts (e.g. trait[foo]) now perform "LIKE '%foo%'" matches instead of exact
* finished auto-completion algorithm for simple text searches
* fixed authorized-related bugs in SavedSearchManager
    
gwt integration issues
* added code so that CoreGUI only loads when visiting that webapp
* added code so that SearchGUI only loads when the SearchBar is present on the page, regardless of webapp
    
cosmetic fixes
* alphabetized servlet definitions in CoreGUI.gwt.xml
* fixed indentation in coregui's web.xml
Comment 3 Joseph Marques 2010-05-21 21:04:22 EDT
commit 19a5b91156442e37c3196b1aed1e07f2c2938924

second cut of GWT-based search bar functionality:
    
* fixed ViewExpiredException by NOT calling j_security_check.do from SearchGUI, which causes session invalidation and re-login
Comment 4 Joseph Marques 2010-05-21 21:04:50 EDT
commit 5207360b0c339375ab78d9f7b86ec73c3c9850cc

finish up the translation routine for simple text searches
    
* convert simple text terms into advanced terms for the primarySimpleContext
Comment 5 Joseph Marques 2010-05-22 03:27:14 EDT
commit a17f8553564f703e41decf3a75d9294903282bfe

initial implementation for GWT-based group search

group search
* write GroupSearchAssist for availability, category, type, plugin, name
* write GroupSearchTranslator for availability, category, type, plugin, name
* fix browserGroups.xhtml to leverage the new GWT-based SearchBar
* pass the correct parameters to GWT-based SearchBar

saved searches
* add Groups > Saved Searches to the menu bar
* fully parameterize the loading routine for saved searches based off of search context/subsystem

misc
* dynamically determine the "welcome message" that renders inside the search bar by default
* fixed criteria query generator to properly generate queries that ONLY have search expressions and no other filters set
Comment 6 Joseph Marques 2010-07-09 11:07:06 EDT
Resource search supports simple terms in the form of 
<context><operator><value>:

context: availability
value: up | down

context: category
value: platform | server | service

context: type
value: <name of resource type for any currently inventoried resources>

context: plugin
value: <name of plugin defining the resource type for any currently inventoried resources>

context: name
value: <name of any currently inventoried resources>

-----

Resources supports complex terms in the form of 
<context>[<parameter>]<operator><value>:

context: alerts
parameter: lasthours02 | lasthours04 | lasthours08 | lasthours24 | 
           lastmins05 | lastmins10 | lastmins30 | lastmins60
value: any | low | medium | high

context: configuration
parameter: <name of any resource configuration property owned by at least one resource in inventory>
value: <the string value of the parameter-specified resource configuration property owned by at least one resource in inventory>

context: connection
parameter: <name of any plugin configuration property (a.k.a., connection property) owned by at least one resource in inventory>
value: <the string value of the parameter-specified plugin configuration property (a.k.a., connection property) owned by at least one resource in inventory>

context: trait
parameter: <name of any measurement trait owned by at least one resource in inventory>
value: <the string value of the parameter-specified trait owned by at least one resource in inventory>
Comment 7 Joseph Marques 2010-07-09 11:10:49 EDT
Group search supports simple terms in the form of 
<context><operator><value>:

context: availability
value: up | down
(equality operator will test whether the group is entirely up or entirely down.  if you want to find groups where one or more members are down, use "!=up")

context: category
value: platform | server | service
(finds compatible groups containing only platforms, only servers, or only services.  it is, however, possible to combine terms like "category=platform | category=server" when performed a search)

context: type
value: <name of resource type for any currently inventoried compatible groups>

context: plugin
value: <name of plugin defining the resource type for any currently inventoried compatible groups>

context: name
value: <name of any currently inventoried groups>
Comment 8 Corey Welton 2010-07-26 13:44:08 EDT
QA Closing this tracker.
Comment 9 Corey Welton 2010-08-12 12:56:02 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.